\section{Conventional approach}
\label{sec:conventional-approach}

The state-of-the-art SLAM algorithms are conventionally centralized.
\emph{Geometry-based visual odometry} methods dominate the backbone of
state-of-the-art SLAM (e.g., \cite{ORBSLAM3_TRO}) due to its performance and
speed. While they are not the most accurate, they are fast enough to be applied
in real time. \emph{Bundle Adjustment} is typically used to minimize the
reprojection error between images, trading off performance for accuracy. Loops
are usually identified using a feature matching algorithm and those features
are often based on \emph{bag-of-words} \cite{GalvezTRO12}. A centralized
graph optimization is usually performed on loop closures, although works differ
on how they build their pose graph, attempting to minimize the pose graph
optimization cost without impacting the accuracy.

In terms of accuracy, laser sensor based methods (namely LiDAR-SLAM
\cite{LiDARSLAM}) can be superior than visual-SLAM, but their performance often
inferior at the same time that LiDAR sensors are more expensive and their
positioning is a limiting factor in robot design.

Many SLAM researchers have attempted to compensate \emph{Visual Odometry}
vulnerabilities: poor lightning conditions, featureless environments and
dynamic scenarios. On one hand by, employing Deep Learning and other methods
that utilize better all the information contained in the images. On the other
hand, by fusing additional sensors. The state-of-the-art is shifting towards
\emph{Visual Inertial Odometry} in the recent years. Fusing inertial
measurements has proven an increase of robustness and accuracy at a relatively
low cost (both computational and economical).